Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.afmtypes
Class KernPair

    java.lang.Object
      org.pdfbox.afmtypes.KernPair

public class KernPair
extends Object

This represents some kern pair data.

Version:
  $Revision: 1.4 $
Author:
  Ben Litchfied (ben@csh.rit.edu)

Constructor Summary
`KernPair()`

Method Summary
`String` | `getFirstKernCharacter()` Getter for property firstKernCharacter.
`String` | `getSecondKernCharacter()` Getter for property secondKernCharacter.
`float` | `getX()` Getter for property x.
`float` | `getY()` Getter for property y.
`void` | `setFirstKernCharacter(String firstKernCharacterValue)` Setter for property firstKernCharacter.
`void` | `setSecondKernCharacter(String secondKernCharacterValue)` Setter for property secondKernCharacter.
`void` | `setX(float xValue)` Setter for property x.
`void` | `setY(float yValue)` Setter for property y.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernPair

    public KernPair()

Method Detail

### getFirstKernCharacter

    public String getFirstKernCharacter()

  Getter for property firstKernCharacter.

  Returns:
    Value of property firstKernCharacter.

### setFirstKernCharacter

    public void setFirstKernCharacter(String firstKernCharacterValue)

  Setter for property firstKernCharacter.

  Parameters:
    `firstKernCharacterValue` - New value of property firstKernCharacter.

### getSecondKernCharacter

    public String getSecondKernCharacter()

  Getter for property secondKernCharacter.

  Returns:
    Value of property secondKernCharacter.

### setSecondKernCharacter

    public void setSecondKernCharacter(String secondKernCharacterValue)

  Setter for property secondKernCharacter.

  Parameters:
    `secondKernCharacterValue` - New value of property secondKernCharacter.

### getX

    public float getX()

  Getter for property x.

  Returns:
    Value of property x.

### setX

    public void setX(float xValue)

  Setter for property x.

  Parameters:
    `xValue` - New value of property x.

### getY

    public float getY()

  Getter for property y.

  Returns:
    Value of property y.

### setY

    public void setY(float yValue)

  Setter for property y.

  Parameters:
    `yValue` - New value of property y.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD